package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.SetBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceSetBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.BundleAutomation != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.setBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createTasks": true,
"disableCircuitBreaker": true,
"enabled": true,
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation"
payload = {
"createTasks": True,
"disableCircuitBreaker": True,
"enabled": True,
"entitlements": { "entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createTasks: true,
disableCircuitBreaker: true,
enabled: true,
entitlements: {entitlementRefs: [{appId: '<string>', id: '<string>'}]}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"circuitBreaker": {
"removedMembersThresholdPercentage": "<string>",
"state": "CIRCUIT_BREAKER_STATE_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z",
"userRef": {
"id": "<string>"
}
},
"createTasks": true,
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"disableCircuitBreaker": true,
"enabled": true,
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"requestCatalogId": "<string>",
"state": {
"errorMessage": "<string>",
"lastRunAt": "2023-11-07T05:31:56Z",
"status": "BUNDLE_AUTOMATION_RUN_STATUS_UNSPECIFIED"
},
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Set Bundle Automation
Invokes the c1.api.requestcatalog.v1.RequestCatalogManagementService.SetBundleAutomation method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.SetBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceSetBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.BundleAutomation != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.setBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The requestCatalogId field.
Body
The SetBundleAutomationRequest message.
This message contains a oneof named conditions. Only a single field of the following list may be set at a time:
- entitlements
Response
Successful response
The BundleAutomation message.
This message contains a oneof named conditions. Only a single field of the following list may be set at a time:
- entitlements
The BundleAutomationCircuitBreaker message.
Show child attributes
Show child attributes
The createTasks field.
The disableCircuitBreaker field.
The enabled field.
The BundleAutomationRuleEntitlement message.
Show child attributes
Show child attributes
The requestCatalogId field.
The BundleAutomationLastRunState message.
Show child attributes
Show child attributes
The tenantId field.
Was this page helpful?